summaryrefslogtreecommitdiffstats
path: root/development/openjdk7/openjdk7.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'development/openjdk7/openjdk7.SlackBuild')
-rw-r--r--development/openjdk7/openjdk7.SlackBuild160
1 files changed, 160 insertions, 0 deletions
diff --git a/development/openjdk7/openjdk7.SlackBuild b/development/openjdk7/openjdk7.SlackBuild
new file mode 100644
index 0000000000..b0f74e19aa
--- /dev/null
+++ b/development/openjdk7/openjdk7.SlackBuild
@@ -0,0 +1,160 @@
+#!/bin/sh
+
+# Slackware build script for OpenJDK
+
+# Copyright 2019 Strahil Yordanov, Sofia, Bulgaria
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+function applySBoPatch() {
+ cat << EOF | patch -d ../icedtea-2.6.18/patches/boot pr64174.patch
+--- pr64174.patch.orig 2019-05-26 07:15:48.030960856 +0300
++++ pr64174.patch.new 2019-05-26 07:17:00.921955937 +0300
+@@ -1,8 +1,8 @@
+ diff -Nru openjdk-boot.orig/jdk/src/share/classes/java/util/CurrencyData.properties openjdk-boot/jdk/src/share/classes/java/util/CurrencyData.properties
+ --- openjdk-boot.orig/jdk/src/share/classes/java/util/CurrencyData.properties 2014-12-04 15:09:06.030312835 +0000
+ +++ openjdk-boot/jdk/src/share/classes/java/util/CurrencyData.properties 2014-12-04 15:10:07.527160626 +0000
+-@@ -320,7 +320,7 @@
+- # LAO PEOPLE'S DEMOCRATIC REPUBLIC
++@@ -323,7 +323,7 @@
++ # LAO PEOPLE'S DEMOCRATIC REPUBLIC (THE)
+ LA=LAK
+ # LATVIA
+ -LV=LVL;2013-12-31-22-00-00;EUR
+@@ -10,7 +10,7 @@
+ # LEBANON
+ LB=LBP
+ # LESOTHO
+-@@ -332,7 +332,7 @@
++@@ -335,7 +335,7 @@
+ # LIECHTENSTEIN
+ LI=CHF
+ # LITHUANIA
+EOF
+}
+
+PRGNAM=openjdk7
+VERSION=${VERSION:-7u221}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+DVER=1.7.0_$(printf $VERSION | cut -du -f2)
+ICEDTEA=icedtea-2.6.18
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm; echo "Unsupported arch $ARCH"; exit 1;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD="$(pwd)"
+TMP=${TMP:-/tmp/SBo}
+BUILD_DIR=$TMP/$PRGNAM
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "x86_64" ]; then
+ LIB_ARCH=amd64
+ LIBDIRSUFFIX="64"
+else
+ LIB_ARCH=i386
+ LIBDIRSUFFIX=""
+fi
+
+BOOT_JAVA=/usr/lib${LIBDIRSUFFIX}/jvm
+
+set -e
+
+rm -rf $BUILD_DIR $PKG
+mkdir -p $TMP $BUILD_DIR $PKG $OUTPUT
+cd $BUILD_DIR
+
+tar -xvf $CWD/${ICEDTEA}.tar.xz
+
+mkdir icedtea-build
+cd icedtea-build
+
+# Set JAVA_HOME in order to avoid conflicts with other already installed JVMs.
+JAVA_HOME=${BOOT_JAVA} PATH=${BOOT_JAVA}/bin:$PATH ../$ICEDTEA/configure \
+ --disable-docs \
+ --disable-downloading \
+ --with-jdk-home=${BOOT_JAVA} \
+ --without-rhino \
+ --disable-system-kerberos \
+ --disable-system-pcsc \
+ --disable-system-sctp \
+ --with-cacerts-file="$CWD/cacerts" \
+$(
+# cacerts is taken from this CentOS package:
+#+ http://mirror.centos.org/centos/6/os/x86_64/Packages/ca-certificates-2015.2.4-65.0.1.el6_6.noarch.rpm
+# You can list its contents with this command (after you install this package:)
+#+ 'keytool -v -list -keystore ./cacerts -storepass changeit'
+# It's old and some certificates inside have already expired but without it some java programs
+#+ may throw exceptions. It is meant as a dummy placehoder file.
+) \
+ --with-openjdk-src-zip="$CWD/openjdk.tar.bz2" \
+ --with-corba-src-zip="$CWD/corba.tar.bz2" \
+ --with-jaxp-src-zip="$CWD/jaxp.tar.bz2" \
+ --with-jaxws-src-zip="$CWD/jaxws.tar.bz2" \
+ --with-jdk-src-zip="$CWD/jdk.tar.bz2" \
+ --with-langtools-src-zip="$CWD/langtools.tar.bz2" \
+ --with-hotspot-src-zip="$CWD/hotspot.tar.bz2"
+
+applySBoPatch
+
+JAVA_HOME=${BOOT_JAVA} PATH=${BOOT_JAVA}/bin:$PATH LOG=trace make
+
+cd $PKG
+mkdir -p usr/lib${LIBDIRSUFFIX}
+cd usr/lib${LIBDIRSUFFIX}
+cp -av $BUILD_DIR/icedtea-build/openjdk.build/j2sdk-image/ $PRGNAM
+
+chown -R root.root $PKG
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/etc/profile.d
+for file in $(ls "$CWD/profile.d/${PRGNAM}"*) ; do
+ cat $file | sed -e "s#lib/openjdk7#lib${LIBDIRSUFFIX}/openjdk7#" \
+ > $PKG/etc/profile.d/$(basename $file)
+done
+chmod 755 $PKG/etc/profile.d/*
+
+( cd $PKG/usr/lib${LIBDIRSUFFIX}
+ ln -sf $PRGNAM ${PRGNAM}${DVER}
+)
+
+cd $PKG/usr/lib${LIBDIRSUFFIX}
+ ln -sf ./$PRGNAM/jre/lib/${LIB_ARCH}/server/libjvm.so .
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $PKG/usr/lib${LIBDIRSUFFIX}/$PRGNAM/{THIRD_PARTY_README,LICENSE,ASSEMBLY_EXCEPTION} \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}